## org.apache.wml
Interface WMLOptionElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLOptionElementImpl

    public interface WMLOptionElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'option' element specifies a choice in a 'select' element

Version:
  $Id: WMLOptionElement.java 447258 2006-09-18 05:41:23Z mrglavas $
Author:
  David Li

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getOnPick()`
`java.lang.String` `getTitle()`
`java.lang.String` `getValue()`
`java.lang.String` `getXmlLang()`
`void` `setOnPick(java.lang.String href)` 'onpick' specifies a event to occur when a user select and disselect this choice.
`void` `setTitle(java.lang.String newValue)` 'title' specifies a title for this element.
`void` `setValue(java.lang.String newValue)` 'value' specifies the value to used to set the 'name' variable (Section 11.6.2.2, WAP WML Version 16-Jun-1999)
`void` `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setValue

    void setValue(java.lang.String newValue)

  'value' specifies the value to used to set the 'name' variable (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getValue

    java.lang.String getValue()

### setTitle

    void setTitle(java.lang.String newValue)

  'title' specifies a title for this element. (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getTitle

    java.lang.String getTitle()

### setOnPick

    void setOnPick(java.lang.String href)

  'onpick' specifies a event to occur when a user select and disselect this choice. (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getOnPick

    java.lang.String getOnPick()

### setXmlLang

    void setXmlLang(java.lang.String newValue)

  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    java.lang.String getXmlLang()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.